 /*
 *  file      : poche.h
 *  project   : zoomc
 *  with      : Gtk-2
 *
 *  copyright : (C) 2010 - 2011 by Claude Bulin
 *
 *  ZOOMC - GTK+ implementation of the GNU shell command
 *  GNU General Public License
 *
 *  This file is part of ZOOMC.
 * 
 *  ZOOMC is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  at your option) any later version.
 * 
 *  ZOOMC is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with ZOOMC.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef __poche_h__
#define __poche_h__ 1

#include <gtk/gtk.h>
#include <glib.h>
#include <glib/gi18n.h>


//
// POCHE_xx
//
typedef struct {
								// UNE STRUCTURE PAR FICHIER IMAGE
	gchar		*name_img;				// Nom du fichier image original
	gchar		*name_png;				// Nom du fichier PNG
	GtkWidget	*togglebutton;				// Adresse du bouton
	GtkWidget	*image;					// Adresse de l'image
	GtkWidget	*label;					// Adresse du label
	
} GLIST_POCHETTE;

typedef enum {
	IMG_NONE = 0,
	IMG_HAUT_GAUCHE,
	IMG_HAUT_DROIT,
	IMG_BAS_GAUCHE,
	IMG_BAS_DROIT,
	IMG_GAUCHE,
	IMG_DROIT,
	IMG_HAUT,
	IMG_BAS,
	IMG_MOVE
} IMG_CORNER;

typedef struct {
	GdkPixbuf	*Pixbuf;
	GdkPixbuf	*PixbufOriginal;
	cairo_surface_t	*image;
	gdouble		scaleX;
	gdouble		scaleY;
	gdouble		x0;
	gdouble		y0;
	gint		image_width;
	gint		image_height;
	gdouble		XPointer;				// Position x de la souris lors du clic
	gdouble		YPointer;				// Position y de la souris lors du clic
	gboolean	BoolIsSelected;
} IMAGE;

typedef struct {
	GtkWidget	*AdrDrawingarea;
	gboolean	BoolScaleAdjust;
	cairo_surface_t	*image;
	gdouble		scale;
	gdouble		x0, y0;
	gint		image_width;
	gint		image_height;
	GList		*ListImage;
	gboolean	BoolEventButtonPress;
	IMAGE		*GetImage;
	IMG_CORNER	ImgCorner;
	GtkWidget	*Adr_viewport_image_preview;		// Adresse viewport
	GtkWidget	*Adr_table;				// Adresse table contenu dans le viewport
	GList		*glist;					// Contient les structures GLIST_POCHETTE
	gboolean	BoolRedrawAlign;			// 
} VIEW;


extern	VIEW view;

IMAGE	*poche_add_to_glist( gchar *PathNameFile, gboolean p_BoolScale, gboolean p_BoolSelected );
void	poche_set_selected_image( IMAGE *p_Image );
void	pochedir_add_img_file (GSList *p_list);

#endif

